aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-02-28 14:24:04 -0300
committerSilvio Rhatto <rhatto@riseup.net>2014-02-28 14:24:04 -0300
commit3ca202a22ea1a3840e0be3193ca137266cc881e8 (patch)
treea49ad81857ffe2ba10660dc5aa68f7fe1157816b
parent7fee0a89e434f5f96fec75d500490782de2a56cb (diff)
downloadhydra-3ca202a22ea1a3840e0be3193ca137266cc881e8.tar.gz
hydra-3ca202a22ea1a3840e0be3193ca137266cc881e8.tar.bz2
New hydra config action
-rwxr-xr-xshare/hydra/config49
-rwxr-xr-xshare/hydra/sync1
2 files changed, 50 insertions, 0 deletions
diff --git a/share/hydra/config b/share/hydra/config
new file mode 100755
index 0000000..1b730b8
--- /dev/null
+++ b/share/hydra/config
@@ -0,0 +1,49 @@
+#!/bin/bash
+#
+# Manipulate hydra configuration.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Basic parameters.
+KEY="$1"
+shift
+VALUE="$*"
+
+# Dispatcher.
+if [ -z "$KEY" ]; then
+ (
+ cd $HYDRA_FOLDER/config
+ echo "Existing configuration:"
+ tree -I README.md
+ )
+elif [ -z "$VALUE" ]; then
+ if [ -e "$HYDRA_FOLDER/config/$KEY" ]; then
+ cat $HYDRA_FOLDER/config/$KEY
+ else
+ echo "No such config parameter $KEY."
+ fi
+else
+ echo "$VALUE" > $HYDRA_FOLDER/config/$KEY
+ hydra $HYDRA git config add $KEY
+ echo ""
+ echo "Configuration saved, please do the following to submit to remote repository:"
+ echo ""
+ echo "hydra $HYDRA git config commit -m \"Setting $KEY\""
+ echo "hydra $HYDRA git config push"
+fi
diff --git a/share/hydra/sync b/share/hydra/sync
index 56eeede..d0b7dd8 100755
--- a/share/hydra/sync
+++ b/share/hydra/sync
@@ -19,6 +19,7 @@ source $APP_BASE/lib/hydra/functions || exit 1
hydra_config_load
# Sync each repository.
+# TODO: change from PRIVATE_REPOS to the new config scheme
function hydra_sync {
for repository in $*; do
if [ "$repository" == "keyringer" ]; then